#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

using namespace std;

int main(int argc, char** argv) {
	long v;
	int niz[3]={1,2,5};
	int r,k,d,ost,i;
	cin>>v;
	//Nalazenje stepena
	k=0;
	while(v/pow(10,k)>=1)
	{
		k++;
		
	}
	k--;
	ost=v/pow(10,k);
	//Nalazenje d
	i=0;
	while(ost-niz[i]>=0)
	{
		i++;
	}
	i--;
	d=niz[i];
	//Nalazenje resenja
	r=0;
	 for (;k>=0;k--)
	 {
	 	while(v-d*pow(10,k)>=0)
	 	{
	 		v=v-(d*pow(10,k));
	 		r++;
		 }
	 	
	 }
	 cout<<r<<endl;
	
	return 0;
}